# common macros, yet to be defined. see:
# https://fedoraproject.org/wiki/User:Kalev/MozillaExtensionsDraft
%global moz_extensions %{_datadir}/mozilla/extensions

%global ext_id jid1-F9UJ2thwoAm5gQ@jetpack

%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global firefox_inst_dir %{moz_extensions}/%{firefox_app_id}

%global seamonkey_app_id \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a\}
%global seamonkey_inst_dir %{moz_extensions}/%{seamonkey_app_id}

Name:           mozilla-lightbeam
Version:        1.3.2
Release:        1%{?dist}
Summary:        An add-on for visualizing HTTP requests between websites in real time

License:        MPLv2.0 and MIT and BSD and ASL 2.0 and OFL
URL:            https://www.mozilla.org/lightbeam/
# Git repo at https://github.com/mozilla/lightbeam
Source0:        https://addons.cdn.mozilla.net/user-media/addons/363974/lightbeam_for_firefox-%{version}-fx.xpi
Source1:        mozilla-lightbeam.metainfo.xml

Requires:       mozilla-filesystem
BuildArch:      noarch
BuildRequires:  libappstream-glib
# resources/lightbeam/data/d3 http://d3js.org/, BSD
Provides:       bundled(js-d3) = 3.5.3
# resources/lightbeam/data/font
# -> OpenSans ASL 2.0
Provides:       bundled(OpenSans-Bold.ttf) = 1.10
Provides:       bundled(OpenSans-Light.ttf) = 1.10
Provides:       bundled(OpenSans-LightItalic.ttf) = 1.10
# -> fontawesome http://fortawesome.github.com/Font-Awesome/, OFL 1.1
Provides:       bundled(fontawesome-fonts-web) = 1.0
# resources/lightbeam/data/picoModal https://github.com/Nycto/PicoModal, MIT
Provides:       bundled(js-picomodal) = 2.0.1
# resources/lightbeam/data/parseuri.js http://stevenlevithan.com/demo/parseuri/js/assets/parseuri.js, MIT
Provides:       bundled(js-parseuri) = 1.2.2

%description
Using interactive visualizations, Lightbeam enables you to see the first
and third party sites you interact with on the Web. As you browse,
Lightbeam reveals the full depth of the Web today, including parts
that are not transparent to the average user. Using three distinct
interactive graphic representations — Graph, Clock and
List — Lightbeam enables you to examine individual third parties
over time and space, identify where they connect to your online activity
and provides ways for you to engage with this unique view of the Web.

%prep
%setup -qc

%build
echo Nothing to build

%install
install -Dpm644 %{SOURCE0} %{buildroot}%{firefox_inst_dir}/%{ext_id}.xpi

# symlink from seamonkey extension to firefox extension
mkdir -p %{buildroot}%{seamonkey_inst_dir}
ln -s %{firefox_inst_dir}/%{ext_id}.xpi %{buildroot}%{seamonkey_inst_dir}

appstream-util validate-relax %{SOURCE1}
DESTDIR=%{buildroot} appstream-util install %{SOURCE1}

%files
%{firefox_inst_dir}/%{ext_id}.xpi
%{seamonkey_inst_dir}/%{ext_id}.xpi
%{_datadir}/appdata/mozilla-lightbeam.metainfo.xml

%changelog
* Sun Mar 26 2017 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.3.2-1
- update to 1.3.2
- drop RHEL5 conditional

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.3.1-2
- add appstream file

* Fri Aug 19 2016 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.3.1-1
- update to 1.3.1
- added versions to bundled font Provides

* Fri Mar 11 2016 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.3.0-1
- update to 1.3.0
- package signed xpi from addons.mozilla.org
- add missing license tags
- add more Provides for bundled stuff

* Mon Mar 09 2015 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.2.1-1
- updated to 1.2.1
- added temporary Provides for bundled stuff

* Mon Dec 15 2014 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.1.0-1
- updated to 1.1.0
- requires firefox >= 26
- simplify and improve install commands
- fix installation path for seamonkey

* Fri Oct 03 2014 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.0.10.2-1
- updated to 1.0.10.2

* Mon Jun 02 2014 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.0.10.1-1
- updated to 1.0.10.1

* Thu Mar 27 2014 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> - 1.0.9-1
- Initial package
